/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define procedure to manage child process*/
/*	number.					*/
/*						*/
/************************************************/
#ifndef LVLCHL
#define LVLCHL
#include	"unidev.h"
#include	"gesque.h"
#include	"gesipc.h"
#include	"gescnf.h"

#define	GETMNG	"GETMNG"/*getting Manager pid		*/

typedef	enum	{	/*aux process child type	*/
	chl_sender,	/*sending process		*/
	chl_checker,	/*checker process		*/
	chl_transponder,/*transponder process		*/
	chl_clamav,	/*clamav virus checker		*/
	chl_unknown	/*unknown child type process	*/
	}ECHTYP;

#define	NSRV	((int)chl_unknown)

/*manager namelist						*/
extern const char *stmng[];

typedef	struct	{
	BOXTYP *boxe;	/*IPC boxe exchange		*/
	char *smtpsrv;	/*local smtp sender		*/
	char *spmdsrv;	/*SPAM detector daemon		*/
	char *rmponder;	/*Mentor local trpdr interface	*/
	int newchild;	/*new child started		*/
	pid_t pid[NSRV];/*server pids			*/
	char *chkidsrv;	/*User check-id Server		*/
	char *chkidmod;	/*check-id check mode		*/
	char **frelais;	/*relay list filename		*/
	time_t lastload;/*last mng load			*/
	IPTYP **relais;	/*accepted relay list		*/
	LSTTYP **look;	/*binded channel		*/
	AUXTYP **auxs;	/*auxiliary list		*/
	}CHLTYP;

extern pid_t chl_getmngpid(BOXTYP *boxe,const char *mngname);
extern void chl_sndmngpid(BOXTYP *boxe,char *caller,char *mngpids);
extern void chl_clmmngpid(CHLTYP *mng,BOXTYP *boxe,char *caller);
extern CHLTYP *chl_freechlmng(CHLTYP *mng);
#endif
