/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define module level routines to handle	*/
/*	"CLAMAV" anti-virus scanner access	*/
/*						*/
/************************************************/
#ifndef LVLCLA
#define LVLCLA

typedef enum	{
	cla_clean,	/*no virus detected	*/
	cla_virus,	/*virus detected	*/
	cla_nocheck	/*nocheck done		*/
	}CLMCHKTYP;

typedef	void CLAMTYP;

extern CLAMTYP *cla_openscanner(char *hostname,int port);
extern CLAMTYP *cla_closescanner(CLAMTYP *clamav);
extern int cla_reload(CLAMTYP *clamav);
extern CLMCHKTYP cla_checkvirus(CLAMTYP **clamav,char *filename,
			        const char **virname);
extern char *cla_getversdate(CLAMTYP *clamav);
#endif
