/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define all routine to handle user status*/
/*	caching function.			*/
/*						*/
/************************************************/
#ifndef	UNICAC
#define UNICAC

typedef	enum	{
	pldsmstat,	/*payload SMTP status	*/
	pldaux		/*payload is an aux name*/
	}PLDENUM;

typedef	struct	{	/*smtp status		*/
	int status;	/*numerical status	*/
	char *str;	/*string information	*/
	}SMSTTY;

typedef struct	{	
	PLDENUM type;	/*payload type		*/
	union	{
	  SMSTTY smstat;/*smtp status		*/
	  char *host[2];/*sender/check hostname	*/
	  }info;
	}PLDTYP;

extern void cac_setvalide(time_t valide);
extern void cac_setentry(char *recipient,PLDTYP *payload);
extern PLDTYP *cac_getentry(char *recipient,PLDENUM type);
extern void cac_expireentries();
extern void cac_cleanentries();
#endif
