/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define all routine to manage devices at	*/
/*	low level.				*/
/*						*/
/************************************************/
#ifndef UNIDEV
#define UNIDEV

#include	<stdio.h>
#include	<sys/socket.h>

#define	PROCHKID	"pro_chkid"
#define	PROSMTP		"pro_smtp"

/*defining protocol values			*/
typedef enum {pro_smtp,pro_chkid,pro_unknown}PROTYP;

typedef enum {pr_locname,pr_locip,pr_remname,pr_remip}PEERTYP;

/*listening binding definition			*/
typedef	struct	{
	PROTYP proto;	/*protocol type		*/
	int port;	/*port used		*/
	char *ipnum;	/*listening address	*/
	time_t lasttry;	/*last binding request	*/
	int iteration;	/*number of binding open*/	
	int handle;	/*binded handle		*/
	pid_t *process;	/*process used		*/
	}LSTTYP;

extern LSTTYP **dev_getlst(LSTTYP **lst,PROTYP proto,char *bindinfo);
extern LSTTYP **dev_freelst(LSTTYP **lst);
extern void dev_mullisten(LSTTYP **lst);
extern void dev_mulclose(LSTTYP **lst);
extern int dev_acceptfile(LSTTYP *lst);
extern char *dev_getaddrname(int handle,PEERTYP peer,char *unknown);
#endif
