/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define low level routine to access	*/
/*	DNS record.				*/
/*						*/
/************************************************/
#ifndef UNIDNS
#define UNIDNS

/*SAFE Inc. own domain definition		*/
#define	SAFEDOM	"safe.ca"

typedef	struct	{
	int preference;	/*MX preference		*/
	char *mxname;	/*MX hostname		*/
	}MXTYP;

typedef	enum	{
	spf_pass,	/*OK if condition apply	*/
	spf_fail,	/*NOK if condition apply*/
	spf_softfail,	/*Msg origin is dubious	*/
	spf_neutral,	/*same status as no SPF	*/
	spf_relax,	/*access MUST be relaxed*/
	spf_unknown	/*Unknown SPF directive	*/
	}SPFENUM;

extern char **dns_gettxt(char *domain);
extern MXTYP **dns_getmx(char *domain);
extern MXTYP **dns_cleanmx(MXTYP **mxlist);
extern char **dns_getptr(u_int32_t norig);
extern u_int32_t **dns_gethostip(char *hostname);
extern u_int32_t **dns_getaddr(char *domain);
extern u_int32_t **dns_cleanaddr(u_int32_t **adrlist);
extern int dns_matcharec(char *domain,u_int32_t norig,int mask);
extern u_int32_t dns_convip(char *ipnum);
extern int dns_isgoodmx(char *domain,char *listenip);
extern int dns_chkversion(char *domain,char *version,int taille);
extern int dns_chksafeversion(char *version,int taille);
#endif
